package net.sf.javaprinciples.resource;

/**
 * A simple creator that allows the implementation of the Resource to be
 * controlled via Spring. There is no implementation of this interface as Spring
 * can peform this automatically.
 * 
 * @author wslade
 * 
 */
public interface ResourceCreator
{
    /**
     * 
     * @param content xxxx
     * @return xxxx
     */
    @SuppressWarnings("unchecked")
    public Resource createResource(String content);
}
